Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezbug/admin/datasupplier.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: datasupplier.php 6484 2001-08-17 13:36:01Z jhe $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27
28 // include_once( "ezuser/classes/ezpermission.php" );
29 // include_once( "classes/ezhttptool.php" );
30
31 $user =& eZUser::currentUser();
32 if( eZPermission::checkPermission( $user, "eZBug", "ModuleEdit" ) == false )
33 {
34 eZHTTPTool::header( "Location: /error/403" );
35 exit();
36 }
37
38 switch ( $url_array[2] )
39 {
40 case "archive" :
41 {
42 $ModuleID = $url_array[3];
43 $Action = "";
44 include( "kernel/ezbug/admin/buglist.php" );
45 }
46 break;
47
48 case "search" :
49 {
50 include( "kernel/ezbug/admin/search.php" );
51 }
52 break;
53
54 case "bugpreview" :
55 case "view" :
56 {
57 $BugID = $url_array[3];
58
59 include( "kernel/ezbug/user/bugview.php" );
60 }
61 break;
62
63 case "unhandled" :
64 {
65 include( "kernel/ezbug/admin/unhandledbugs.php" );
66 }
67 break;
68
69 case "priority" :
70 {
71 switch( $url_array[3] )
72 {
73 case "list":
74 {
75 include( "kernel/ezbug/admin/prioritylist.php" );
76 }
77 break;
78 }
79 }
80 break;
81
82 case "category" :
83 {
84 switch( $url_array[3] )
85 {
86 case "list":
87 {
88 include( "kernel/ezbug/admin/categorylist.php" );
89 }
90 break;
91 }
92 }
93 break;
94
95 case "module" :
96 {
97 switch( $url_array[3] )
98 {
99 case "list":
100 {
101 if( isset( $AddModule ) ) // new
102 {
103 $Action = "new";
104 $ParentID = $url_array[4];
105 include( "kernel/ezbug/admin/moduleedit.php" );
106 }
107 else
108 {
109 $ParentID = $url_array[4];
110 include( "kernel/ezbug/admin/modulelist.php" );
111 }
112 }
113 break;
114
115 case "insert":
116 {
117 $Action = "insert";
118 include( "kernel/ezbug/admin/moduleedit.php" );
119 }
120 break;
121
122 case "edit":
123 {
124 $Action = "edit";
125 $ModuleID = $url_array[4];
126 include( "kernel/ezbug/admin/moduleedit.php" );
127 }
128 break;
129
130 case "update":
131 {
132 $Action = "update";
133 $ModuleID = $url_array[4];
134 include( "kernel/ezbug/admin/moduleedit.php" );
135 }
136 break;
137
138 case "delete":
139 {
140 $Action = "delete";
141 $ModuleID = $url_array[4];
142 include( "kernel/ezbug/admin/moduleedit.php" );
143 }
144 break;
145
146 }
147 }
148 break;
149
150 case "status" :
151 {
152 switch( $url_array[3] )
153 {
154 case "list":
155 {
156 $ParentID = $url_array[4];
157 include( "kernel/ezbug/admin/statuslist.php" );
158 }
159 break;
160 }
161 }
162 break;
163
164
165 case "edit" :
166 {
167 if ( $url_array[3] == "new" )
168 {
169 $Action = "New";
170 }
171 else if ( $url_array[3] == "edit" )
172 {
173 $Action = "Edit";
174 $BugID = $url_array[4];
175 }
176 else if( $url_array[3] == "fileedit" )
177 {
178 switch( $url_array[4] )
179 {
180 case "new" :
181 {
182 $Action = "New";
183 $BugID = $url_array[5];
184 include( "kernel/ezbug/admin/fileedit.php" );
185 }
186 break;
187 case "edit" :
188 {
189 $Action = "Edit";
190 $BugID = $url_array[6];
191 $FileID = $url_array[5];
192 include( "kernel/ezbug/admin/fileedit.php" );
193 }
194 break;
195 case "delete" :
196 {
197 $Action = "Delete";
198 $BugID = $url_array[6];
199 $FileID = $url_array[5];
200 include( "kernel/ezbug/admin/fileedit.php" );
201 }
202 break;
203 default :
204 {
205 include( "kernel/ezbug/admin/fileedit.php" );
206 }
207 break;
208 }
209 }
210 else if( $url_array[3] == "imageedit" )
211 {
212 switch( $url_array[4] )
213 {
214 case "new":
215 {
216 $Action = "New";
217 $BugID = $url_array[5];
218 include( "kernel/ezbug/admin/imageedit.php" );
219 }
220 break;
221 case "edit" :
222 {
223 $Action = "Edit";
224 $BugID = $url_array[6];
225 $ImageID = $url_array[5];
226 include( "kernel/ezbug/admin/imageedit.php" );
227 }
228 break;
229 case "delete" :
230 {
231 $Action = "Delete";
232 $BugID = $url_array[6];
233 $ImageID = $url_array[5];
234 include( "kernel/ezbug/admin/imageedit.php" );
235 }
236 break;
237 default :
238 {
239 include( "kernel/ezbug/admin/imageedit.php" );
240 }
241 break;
242 }
243 }
244 include( "kernel/ezbug/admin/bugedit.php" );
245 }
246 break;
247
248
249 case "report" :
250 {
251 switch( $url_array[3] )
252 {
253 case "fileedit" :
254 {
255 if( $url_array[4] == "new")
256 {
257 $Action = "New";
258 $BugID = $url_array[5];
259 include( "kernel/ezbug/user/fileedit.php" );
260 }
261 else if( $url_array[4] == "edit" )
262 {
263 $Action = "Edit";
264 $BugID = $url_array[6];
265 $FileID = $url_array[5];
266 include( "kernel/ezbug/user/fileedit.php" );
267 }
268 else if( $url_array[4] == "delete" )
269 {
270 $Action = "Delete";
271 $BugID = $url_array[6];
272 $FileID = $url_array[5];
273 include( "kernel/ezbug/user/fileedit.php" );
274 }
275 else
276 {
277 include( "kernel/ezbug/user/fileedit.php" );
278 }
279 }
280 break;
281 case "imageedit" :
282 {
283 if( $url_array[4] == "new")
284 {
285 $Action = "New";
286 $BugID = $url_array[5];
287 include( "kernel/ezbug/user/imageedit.php" );
288 }
289 else if( $url_array[4] == "edit" )
290 {
291 $Action = "Edit";
292 $BugID = $url_array[6];
293 $ImageID = $url_array[5];
294 include( "kernel/ezbug/user/imageedit.php" );
295 }
296 else if( $url_array[4] == "delete" )
297 {
298 $Action = "Delete";
299 $BugID = $url_array[6];
300 $ImageID = $url_array[5];
301 include( "kernel/ezbug/user/imageedit.php" );
302 }
303 else
304 {
305 include( "kernel/ezbug/user/imageedit.php" );
306 }
307 }
308 break;
309
310 case "edit" :
311 {
312 $BugID = $url_array[4];
313 $Action = "Edit";
314 include( "kernel/ezbug/admin/bugedit.php" );
315 }
316 break;
317
318
319 default :
320 {
321 print( "Error: Bug file not found" );
322 }
323 break;
324 }
325 }
326 break;
327 }
328
329 ?>
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
eZPermission\checkPermission
static checkPermission( $user, $moduleName, $permissionName)
Definition: ezpermission.php:430
eZUser\currentUser
static & currentUser()
Definition: ezuser.php:896
$Action
$Action
Definition: companysearch.php:80
$ImageID
$ImageID
Definition: companytypelist.php:201
$url_array
$url_array
Definition: ezaddress/admin/datasupplier.php:34
$user
$user
Definition: ezbug/admin/datasupplier.php:31
$ParentID
$ParentID
Definition: eztrade/admin/categorylist.php:171
exit
exit
Definition: folder.php:81
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.